Arch Tube Connecteur

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch PipeConnector and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский
Arrow-left.svg Page précédente: Arch Pipe.svg Tube
Page suivante: Outils matériaux Arch CompSetMaterial.png Arrow-right.svg

Arch PipeConnector.svg Tube Connecteur

Emplacement du menu
Arch → Pipe Tools → Pipe Connector
Ateliers
Atelier Architecture
Raccourci par défaut
P C
Introduit dans la version
0.17
Voir aussi
Tube, Equipement


Description

Cet outil vous permet de créer des raccords entre deux ou plusieurs Tubes sélectionnés.

Utilisation

  1. Sélectionnez 2 or 3 Arch Tubes. Si vous avez sélectionné trois tubes, deux doivent être parfaitement alignés.
  2. Cliquez le bouton Arch PipeConnector.svg Arch Tube Conneteur, ou pressez les touches P et C.

Propriétés

  • DONNÉESRadius: Le rayon de la courbe de la connexion

Travail typique

Reportez-vous aux informations sur Tubes pour en savoir plus sur l'utilisation des tubes et la création de connecteurs.

Procédure

Voir aussi: API et Débuter avec les scripts.

L'outil Tube Connexion peut être utilisé dans une macro ou dans la console Python en utilisant la fonction suivante:

Connector = makePipeConnector(pipes, radius=0, name="Connector")
  • Crée un objet Connector à partir du pipes donné qui est une liste de Tubes et éventuellement un rayon radius de courbure.
    • Les objets de base (Filaires) des Tubes doivent partager un noeud final afin de créer un connecteur lisse et approprié.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(-1000, 0, 0)
p2 = FreeCAD.Vector(-2000, 0, 0)
p3 = FreeCAD.Vector(-2000, 0, 0)
p4 = FreeCAD.Vector(-2000, -1000, 0)
p5 = FreeCAD.Vector(-2000, -1000, 0)
p6 = FreeCAD.Vector(-4000, -1000, 0)
Line1 = Draft.makeWire([p1, p2])
Line2 = Draft.makeWire([p3, p4])
Line3 = Draft.makeWire([p5, p6])

Pipe1 = Arch.makePipe(Line1, 150)
Pipe2 = Arch.makePipe(Line2, 150)
Pipe3 = Arch.makePipe(Line3, 150)
FreeCAD.ActiveDocument.recompute()

Conn = Arch.makePipeConnector([Pipe1, Pipe2])
Conn2 = Arch.makePipeConnector([Pipe2, Pipe3])
FreeCAD.ActiveDocument.recompute()

Line4 = Draft.move(Line1, FreeCAD.Vector(-500, 1000, 0), copy=True)
Line5 = Draft.move(Line2, FreeCAD.Vector(-500, 1000, 0), copy=True)
Pipe4 = Arch.makePipe(Line4, 100)
Pipe5 = Arch.makePipe(Line5, 100)
FreeCAD.ActiveDocument.recompute()

Conn3 = Arch.makePipeConnector([Pipe4, Pipe5], radius=400)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Pipe.svg Tube
Page suivante: Outils matériaux Arch CompSetMaterial.png Arrow-right.svg